#
# Copyright (C)2022 @BABOLO http://www.babolo.ru/
# pkg = cipalite
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: inon.pleaf.m4,v 1.1 2022/09/04 20:21:49 babolo Exp $
#
#  

eval
#perform 0002
CREATE TEMP TABLE SQNM(p)
     ( SQAT(i) INTEGER PRIMARY KEY
     , SQAT(n) text
     , SQAT(e) text
     )
;
#getpost _
#copyin  00_2
COPY SQNM(p) FROM stdin;
#wait
#close   _0_00_
#style   00y00_
into
#select  1002
INSERT INTO SQNM(pass)(SQAT(context), SQAT(login), SQAT(passwd), SQAT(flags), SQAT(nickname))
 SELECT SQNM(x).SQAT(cipa)
      , SQNM(x).SQAT(login)
      , SQNM(x).SQAT(pass)
      , PassAuthName
      , (SELECT SQNM(p).SQAT(e) FROM SQNM(p) WHERE SQNM(p).SQAT(n) == 'nickname')
 FROM SQNM(x) JOIN SQNM(p) ON(SQNM(x).SQAT(pass) == SQNM(p).SQAT(e))
 WHERE SQNM(x).SQAT(pass) == (SELECT SQNM(p).SQAT(e) FROM SQNM(p) WHERE SQNM(p).SQAT(n) == 'z')
   AND (SELECT SQNM(p).SQAT(e) FROM SQNM(p) WHERE SQNM(p).SQAT(n) == 'e') == 'a'
   AND SQNM(p).SQAT(n) == 'password'
RETURNING SQNM(pass).SQAT(cred)
;
#eval    001
##select  _00_
SELECT CINM(x).CIAT(h) AS host, CINM(x).CIAT(sess) AS sess, CINM(pnode).CIAT(p) AS page
 FROM CINM(pnode), CINM(x)
 WHERE CINM(pnode).CIAT(m) == 'PKG' AND CINM(pnode).CIAT(v) == 'done'
;
##display 00_00_
##exit
#select  _00_
SELECT CINM(x).CIAT(h) AS host, CINM(x).CIAT(sess) AS sess, CINM(pnode).CIAT(p) AS page
 FROM CINM(pnode), CINM(x)
 WHERE CINM(pnode).CIAT(m) == 'PKG' AND CINM(pnode).CIAT(v) == 'fail'
;
#display 00_00_
