#
# Copyright (C)2022 @BABOLO http://www.babolo.ru/
# pkg = cipalite
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: look.pleaf.m4,v 1.2 2022/12/31 18:26:38 babolo Exp $
#
#   

eval
#select  2002
SELECT 1
 FROM SQNM(x) JOIN SQNM(pass) USING(SQAT(cred))
 WHERE SQNM(pass).SQAT(flags) & CredReadPost
;
#select  _02_
SELECT CINM(x).CIAT(sess)  AS sess, CINM(pnode).CIAT(p) AS page
 FROM CINM(pnode), CINM(x)
 WHERE CINM(pnode).CIAT(m) == 'PKG' AND CINM(pnode).CIAT(v) == 'read'
;
#select  10_2
SELECT ?                                             AS sess
     , ?                                              AS page
     , datetime(SQNM(post).SQAT(created), 'unixepoch') AS crea
     , SQNM(post).SQAT(post)                          AS post
     , SQNM(pass).SQAT(nickname)                     AS nick
 FROM SQNM(post)
  JOIN(SELECT SQNM(sess).SQAT(sess), SQNM(sess).SQAT(cred) FROM SQNM(sess)
      UNION
       SELECT SQNM(sessb).SQAT(sess), SQNM(sessb).SQAT(cred) FROM SQNM(sessb)
      )s USING(SQAT(sess))
  JOIN SQNM(pass) USING(SQAT(cred))
 WHERE SQNM(post).SQAT(flags) & PostToRede
ORDER BY SQNM(post).SQAT(created)
;
#style   00y001
look
#display 001001
#close   101001
#close   202
#close   _0_
