#
# Copyright (C)2022..2023 @BABOLO http://www.babolo.ru/
# pkg = cipalite
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: stat.pleaf.m4,v 1.3 2023/01/01 00:25:59 babolo Exp $
#
#   

eval
#select  2002
SELECT 1
 FROM SQNM(x) JOIN SQNM(pass) USING(SQAT(cred))
 WHERE SQNM(pass).SQAT(flags) & CredAdmin
;
#style   00y001
stat
#select  _022
WITH a AS(SELECT DISTINCT SQNM(sess).SQAT(cred) FROM SQNM(sess))
   , b AS(SELECT DISTINCT SQNM(sess).SQAT(login) FROM SQNM(sess) WHERE SQNM(sess).SQAT(cred) == 0)
SELECT MIN(SQNM(sess).SQAT(sess))                                AS minsess
     , MAX(SQNM(sess).SQAT(sess))                                 AS maxsess
     , COUNT(1)                                                    AS cntsess
     , MIN(SQNM(sess).SQAT(cnt) + 1)                                AS mincnt
     , MAX(SQNM(sess).SQAT(cnt) + 1)                                 AS maxcnt
     , SUM(SQNM(sess).SQAT(cnt) + 1)                                  AS sumcnt
     , (SELECT COUNT(1) FROM a)                                        AS cntcred
     , (SELECT COUNT(1) FROM b)                                         AS logcnt
     , datetime(MIN(SQNM(sess).SQAT(created)), 'unixepoch')              AS mincre
     , datetime(MAX(SQNM(sess).SQAT(created)), 'unixepoch')               AS maxcre
     , datetime(MIN(SQNM(sess).SQAT(updated)), 'unixepoch')                AS minup
     , datetime(MAX(SQNM(sess).SQAT(updated)), 'unixepoch')                 AS maxup
     , CAST(MAX(SQNM(sess).SQAT(updated) - SQNM(sess).SQAT(created)) AS INT) AS length
 FROM SQNM(sess)
;
#display 00_001
#style   00y001
statb
#select  _022
WITH a AS(SELECT DISTINCT SQNM(sessb).SQAT(cred) FROM SQNM(sessb))
   , b AS(SELECT DISTINCT SQNM(sessb).SQAT(login) FROM SQNM(sessb) WHERE SQNM(sessb).SQAT(cred) == 0)
SELECT MIN(SQNM(sessb).SQAT(sess))                                 AS minsess
     , MAX(SQNM(sessb).SQAT(sess))                                  AS maxsess
     , COUNT(1)                                                      AS cntsess
     , MIN(SQNM(sessb).SQAT(cnt) + 1)                                 AS mincnt
     , MAX(SQNM(sessb).SQAT(cnt) + 1)                                  AS maxcnt
     , SUM(SQNM(sessb).SQAT(cnt) + 1)                                   AS sumcnt
     , (SELECT COUNT(1) FROM a)                                          AS cntcred
     , (SELECT COUNT(1) FROM b)                                           AS logcnt
     , datetime(MIN(SQNM(sessb).SQAT(created)), 'unixepoch')               AS mincre
     , datetime(MAX(SQNM(sessb).SQAT(created)), 'unixepoch')                AS maxcre
     , datetime(MIN(SQNM(sessb).SQAT(updated)), 'unixepoch')                 AS minup
     , datetime(MAX(SQNM(sessb).SQAT(updated)), 'unixepoch')                  AS maxup
     , CAST(MAX(SQNM(sessb).SQAT(updated) - SQNM(sessb).SQAT(created)) AS INT) AS length
 FROM SQNM(sessb)
;
#display 00_001
#close   202001
#close   _0_
